/* -------- modu-plan -------- */

#plan_util {
    overflow: hidden;
}

#plan_util.eten {
    max-height: 56px;
    overflow: hidden auto;
}

#modu-plan-supp {
    position: absolute;
    bottom: 0;
    border-radius: 35px;
    padding: 18px 24px;
    box-sizing: border-box;
    height: 70px;
    font-size: 200%;
    color: red;
    width: 70px;
    right: 0;
    background-color: #fff;
    border: 1px solid red;
    display: none;
}

.modu-plan-case {
    z-index: 11;
    position: absolute;
    overflow: hidden;
}

#modu-plan-zone-util {
    position: absolute;
    z-index: 100;
    top: 30px;
    bottom: 0;
    right: -180px;
    width: 180px;
    border-left: 1px solid #999;
    background-color: #f5f5f5;
    transition-duration: .5s;
}

#modu-plan-bout-util {
    position: absolute;
    top: 0;
    width: 40px;
    left: -40px;
    height: 40px;
    font-size: 200%;
    border-radius: 0 0 0 20px;
    padding: 5px;
    background-color: #eee;
    border: 1px solid #999;
}

.modu-plan-zone-util-affi {
    right: 0 !important;
}

.modu-plan-head-bout {
    display: flex;
    flex-direction: row;
    align-items: center;

    border-radius: 4px;
    overflow: hidden;

    button {
        :not(i) {
            flex-grow: 1;
        }
    }
}

#plan-trad,
.modu-plan-head-bout {
    font-family: 'Inter';
    font-size: 10px;

    button:not(.modu-bout) {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;

        font-weight: 500;
        background-color: #eee;
        color: #333;
    }

    button:focus {
        outline: none;
    }

    &.modu-plan-vali-bout {
        button {
            height: 30px;
            border: solid 1px var(--them-fonc);
        }

        button:hover {
            color: #fff;
            background: var(--noti-fonc);
            border: none;
        }
    }
}

.modu-plan-bout-larg {
    min-width: 80px;
    height: 22px;
    border-radius: 4px;
}

.modu-plan-bout-peti {
    width: 22px;
    height: 22px;
    border-radius: 4px;
}

.modu-plan-bout-peti.reverse {
    flex-direction: row-reverse;
}

.donnee>.icon,
.libelle>.icon {
    border: 1px solid var(--them-fonc);
    color: var(--them-fonc);
}

.donnee>.icon:hover,
.libelle>.icon:hover,
.modu-plan-poin-bout-trav:hover {
    border-color: var(--noti-fonc);
    color: var(--noti-fonc);
}

#plan-poin-tota-bout:not(.active),
#plan-reel-tota-bout:not(.active) {

    #plan-poin-tota-icon-haut,
    #plan-reel-tota-icon-haut {
        display: none;
    }

    #plan-poin-tota-icon-bas,
    #plan-reel-tota-icon-bas {
        display: flex;
    }
}

#plan-poin-tota-bout.active,
#plan-reel-tota-bout.active {

    #plan-poin-tota-icon-haut,
    #plan-reel-tota-icon-haut {
        display: flex;
    }

    #plan-poin-tota-icon-bas,
    #plan-reel-tota-icon-bas {
        display: none;
    }
}

#plan_jour i[onClick]:hover,
#plan_poin i[onClick]:hover {
    color: var(--noti-fonc);
}

.page-popu-modu-plan,
#plan_edit {
    .form-bool-fals,
    .form-bool-true {
        width: 14px;
        min-width: 14px;
        height: 14px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0;
        padding: 0;
        position: relative;
        z-index: 1;
        border-radius: 2px;
        font-size: 10px;
    }

    .form-bool-fals {
        background: transparent;
        border: 2px solid var(--them-fonc);
    }

    .form-bool-true {
        background: var(--noti-fonc);
    }

    .form-bool-curs-fals,
    .form-bool-curs-true {
        display: none
    }

    .icon-nav-ferm {
        display: none
    }

    .form-bool-true>.icon-modu-cont {
        position: absolute;
        z-index: 1;
        margin: 0;
        font-size: 10px;
        color: var(--noti-clai);
    }

    .fake-select {
        min-width: 60px;
    }
}

.page-popu-modu-plan-util:hover {
    background-color: var(--noti-medi);
}

.page-popu-modu-plan-para-lien {
    color: #999999;
}

.page-popu-modu-plan-para-lien:hover {
    color: var(--noti-fonc);
}

/* Cache bouton planifier sur petit écran */
.bout-container-vert .plan-drag-bout {
    min-width: 22px;
}

.bout-container-vert .plan-drag-bout span {
    display: none;
}

.plan-drag-bout:hover {
    box-shadow: -5px 0 10px 0 #00000050;
}

.plan-util-pres-hora:hover {
    color: #000;
    background: #fff;
    font-weight: 600;
    z-index: 1;
}

#plan_edit {
    font-family: 'Inter';

    .libelle {
        display: flex;
        align-items: center;
        font-size: 11px;
        font-weight: 600;
        color: var(--them-fonc);
    }

    .donnee {
        display: flex;
        align-items: center;
        font-size: 10px;
        font-weight: 400;

        .fake-select {
            width: 100%;
        }
    }
}

.modu-plan-noti-nouv {
    height: 60px;
    position: absolute;
    right: 20px;
    bottom: 20px;

    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;

    padding: 10px;
    border-radius: 100px;

    background: #eee;
    opacity: 1;
    box-shadow: 0px 0px 20px 5px #00000070;
    transform: translateX(0);
    transition: transform 1s, opacity 1.5s;

    .modu-plan-noti-nouv-excl {
        animation: notiExcl 3s infinite;
    }
}

#plan_hori>.plan_hori_util:not(:first-child) {
    display: flex;
    flex-direction: column;
    margin-top: 4px;
}

.modu-plan-bout-larg.suppr {
    color: #ED2626;
}

@starting-style {
    .modu-plan-noti-nouv {
        opacity: 0;
        transform: translateX(1000px);
    }
}

@media screen and (min-width: 1200px) {
    #plan-trad,
    .modu-plan-head-bout {
        font-size: 12px;
    }

    .modu-plan-bout-larg {
        min-width: 120px;
    }
}

@media screen and (max-width: 1200px) {
    .modu-plan-bout-larg {
        min-width: 20px;

        span {
            display: none;
        }
    }
}